View Issue Details

IDProjectCategoryView StatusLast Update
0001327XdebugUsage problems (Wrong Results)public2016-10-18 13:47
ReporterMGIMATTYAssigned Toderick 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionunable to reproduce 
PlatformOSUbuntuOS Version16.04
Product Version2.4.0 
Target VersionFixed in Version 
Summary0001327: Running laravel 5.1 testcases result in 2071 Segmentation fault (core dumped)
DescriptionUsing a docker container to run Gitlab CI laravel testcases with XDebug enabled result in the aforementioned error message.

For the build printout, see the additional information.
Additional Informationgitlab-ci-multi-runner 1.3.2 (0323456)
Using Docker executor with image mgimatty/ubuntu-gitlab-ci ...
Pulling docker image mgimatty/ubuntu-gitlab-ci ...
Running on runner-2a08c017-project-8-concurrent-0 via matty-inc...
Cloning repository...
Cloning into '/builds/vakantiespel/vks-backend'...
Checking out 00297132 as mathijs...
$ apt-get update -y
Hit:1 http://archive.ubuntu.com/ubuntu xenial InRelease
Get:2 http://archive.ubuntu.com/ubuntu xenial-updates InRelease [94.5 kB]
Get:3 http://archive.ubuntu.com/ubuntu xenial-security InRelease [94.5 kB]
Get:4 http://archive.ubuntu.com/ubuntu xenial-updates/main Sources [115 kB]
Get:5 http://archive.ubuntu.com/ubuntu xenial-updates/universe Sources [69.2 kB]
Get:6 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [321 kB]
Get:7 http://archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [201 kB]
Get:8 http://archive.ubuntu.com/ubuntu xenial-security/main Sources [37.3 kB]
Get:9 http://archive.ubuntu.com/ubuntu xenial-security/main amd64 Packages [146 kB]
Get:10 http://archive.ubuntu.com/ubuntu xenial-security/universe amd64 Packages [39.3 kB]
Fetched 1118 kB in 0s (3262 kB/s)
Reading package lists...
$ apt-get upgrade -y
Reading package lists...
Building dependency tree...
Reading state information...
Calculating upgrade...
The following packages will be upgraded:
  cmake cmake-data libgd3 lsb-base
4 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 3878 kB of archives.
After this operation, 3072 B disk space will be freed.
Get:1 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 cmake amd64 3.5.1-1ubuntu2 [2620 kB]
Get:2 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 cmake-data all 3.5.1-1ubuntu2 [1120 kB]
Get:3 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 lsb-base all 9.20160110ubuntu0.2 [13.7 kB]
Get:4 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libgd3 amd64 2.1.1-4ubuntu0.16.04.2 [125 kB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 3878 kB in 0s (9367 kB/s)
(Reading database ...
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 34113 files and directories currently installed.)

Preparing to unpack .../cmake_3.5.1-1ubuntu2_amd64.deb ...

Unpacking cmake (3.5.1-1ubuntu2) over (3.5.1-1ubuntu1) ...

Preparing to unpack .../cmake-data_3.5.1-1ubuntu2_all.deb ...

Unpacking cmake-data (3.5.1-1ubuntu2) over (3.5.1-1ubuntu1) ...

Preparing to unpack .../lsb-base_9.20160110ubuntu0.2_all.deb ...

Unpacking lsb-base (9.20160110ubuntu0.2) over (9.20160110ubuntu0.1) ...

Processing triggers for man-db (2.7.5-1) ...

Setting up lsb-base (9.20160110ubuntu0.2) ...

(Reading database ...
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 34113 files and directories currently installed.)

Preparing to unpack .../libgd3_2.1.1-4ubuntu0.16.04.2_amd64.deb ...

Unpacking libgd3:amd64 (2.1.1-4ubuntu0.16.04.2) over (2.1.1-4ubuntu0.16.04.1) ...

Processing triggers for libc-bin (2.23-0ubuntu3) ...

Setting up cmake-data (3.5.1-1ubuntu2) ...

Setting up cmake (3.5.1-1ubuntu2) ...

Setting up libgd3:amd64 (2.1.1-4ubuntu0.16.04.2) ...

Processing triggers for libc-bin (2.23-0ubuntu3) ...

$ apt-get dist-upgrade -y
Reading package lists...
Building dependency tree...
Reading state information...
Calculating upgrade...
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
$ php -v
PHP 7.0.4-7ubuntu2.1 (cli) ( NTS )
Copyright (c) 1997-2016 The PHP Group
Zend Engine v3.0.0, Copyright (c) 1998-2016 Zend Technologies
    with Xdebug v2.4.0, Copyright (c) 2002-2016, by Derick Rethans
    with Zend OPcache v7.0.6-dev, Copyright (c) 1999-2016, by Zend Technologies
$ mysql -V
mysql Ver 14.14 Distrib 5.7.12, for Linux (x86_64) using EditLine wrapper
$ apt-get install php7.0
Reading package lists...
Building dependency tree...
Reading state information...
php7.0 is already the newest version (7.0.4-7ubuntu2.1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
$ apt-get install unzip
Reading package lists...
Building dependency tree...
Reading state information...
unzip is already the newest version (6.0-20ubuntu1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
$ service mysql restart
 * Stopping MySQL database server mysqld
   ...done.
 * Starting MySQL database server mysqld
   ...done.
$ a2enmod rewrite
Enabling module rewrite.
To activate the new configuration, you need to run:
  service apache2 restart
$ a2enmod php7.0
Considering conflict php5 for php7.0:
Module php7.0 already enabled
$ phpenmod bcmath
$ phpenmod mbstring
$ phpenmod mcrypt
$ phpenmod tokenizer
$ apt-get install php7.0-dev -y
Reading package lists...
Building dependency tree...
Reading state information...
php7.0-dev is already the newest version (7.0.4-7ubuntu2.1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
$ echo xdebug.remote_enable = 1 >> /etc/php/7.0/apache2/php.ini
$ echo xdebug.remote_handler = "dbgp" >> /etc/php/7.0/apache2/php.ini
$ echo xdebug.remote_host = "172.17.0.2" >> /etc/php/7.0/apache2/php.ini
$ echo xdebug.remote_port = 9000 >> /etc/php/7.0/apache2/php.ini
$ echo xdebug.max_nesting_level = 100 >> /etc/php/7.0/apache2/php.ini
$ tail -n 10 /etc/php/7.0/apache2/php.ini
; Local Variables:
; tab-width: 4
; End:

zend_extension=/usr/lib/php/20151012/xdebug.so
xdebug.remote_enable = 1
xdebug.remote_handler = dbgp
xdebug.remote_host = 172.17.0.2
xdebug.remote_port = 9000
xdebug.max_nesting_level = 100
$ echo xdebug.remote_enable = 1 >> /etc/php/7.0/cli/php.ini
$ echo xdebug.remote_handler = "dbgp" >> /etc/php/7.0/cli/php.ini
$ echo xdebug.remote_host = "172.17.0.2" >> /etc/php/7.0/cli/php.ini
$ echo xdebug.remote_port = 9000 >> /etc/php/7.0/cli/php.ini
$ echo xdebug.max_nesting_level = 200 >> /etc/php/7.0/cli/php.ini
$ tail -n 10 /etc/php/7.0/cli/php.ini
; Local Variables:
; tab-width: 4
; End:

zend_extension=/usr/lib/php/20151012/xdebug.so
xdebug.remote_enable = 1
xdebug.remote_handler = dbgp
xdebug.remote_host = 172.17.0.2
xdebug.remote_port = 9000
xdebug.max_nesting_level = 200
$ service apache2 restart
 * Restarting Apache httpd web server apache2
AH00558: apache2: Could not reliably determine the server's fully qualified domain name, using 172.17.0.2. Set the 'ServerName' directive globally to suppress this message
   ...done.
$ cd /builds/vakantiespel/vks-backend
$ unzip sql.zip
Archive: sql.zip
   creating: sql/
  inflating: sql/vks_archief.sql
  inflating: sql/vks_mysql.sql
  inflating: sql/vks_vriendje.sql
  inflating: sql/vks_website.sql
  inflating: sql/vks_calamiteit.sql
$ echo "create database vks_archief" | mysql -u root
$ echo "create database vks_website" | mysql -u root
$ echo "create database vks_mysql" | mysql -u root
$ echo "create database vks_calamiteit" | mysql -u root
$ echo "create database vks_vriendje" | mysql -u root
$ mysql -u root vks_archief < "sql/vks_archief.sql"
$ mysql -u root vks_website < "sql/vks_website.sql"
$ mysql -u root vks_mysql < "sql/vks_mysql.sql"
$ mysql -u root vks_calamiteit < "sql/vks_calamiteit.sql"
$ mysql -u root vks_vriendje < "sql/vks_vriendje.sql"
$ php ./composer.phar install
You are running composer with xdebug enabled. This has a major impact on runtime performance. See https://getcomposer.org/xdebug
Warning: This development build of composer is over 60 days old. It is recommended to update it by running "./composer.phar self-update" to get the latest version.
Loading composer repositories with package information
Installing dependencies (including require-dev) from lock file
  - Installing mtdowling/jmespath.php (2.3.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 70% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing psr/http-message (1.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 25% Downloading: 65% Downloading: 100% Downloading: 100%

  - Installing guzzlehttp/psr7 (1.3.1)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 15% Downloading: 20% Downloading: 35% Downloading: 45% Downloading: 50% Downloading: 65% Downloading: 70% Downloading: 80% Downloading: 85% Downloading: 100%

  - Installing guzzlehttp/promises (1.2.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 15% Downloading: 35% Downloading: 50% Downloading: 65% Downloading: 80% Downloading: 100%

  - Installing guzzlehttp/guzzle (6.2.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 90% Downloading: 100% Downloading: 100%

  - Installing aws/aws-sdk-php (3.18.27)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 70% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing vlucas/phpdotenv (v1.1.1)
    Downloading: Connecting... Downloading: 0%  Downloading: 55% Downloading: 100% Downloading: 100%

  - Installing symfony/var-dumper (v2.7.15)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 30% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 100% Downloading: 100%

  - Installing symfony/translation (v2.7.15)
    Downloading: Connecting... Downloading: 0%  Downloading: 10% Downloading: 15% Downloading: 25% Downloading: 35% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 75% Downloading: 85% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing symfony/routing (v2.7.15)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 70% Downloading: 75% Downloading: 80% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing symfony/process (v2.7.15)
    Downloading: Connecting... Downloading: 0%  Downloading: 15% Downloading: 30% Downloading: 50% Downloading: 65% Downloading: 80% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing symfony/polyfill-mbstring (v1.2.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 50% Downloading: 85% Downloading: 100%

  - Installing symfony/http-foundation (v2.7.15)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 70% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing symfony/event-dispatcher (v2.8.8)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing psr/log (1.0.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 15% Downloading: 30% Downloading: 45% Downloading: 60% Downloading: 75% Downloading: 100%

  - Installing symfony/debug (v2.7.15)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 30% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 80% Downloading: 85% Downloading: 90% Downloading: 100% Downloading: 100%

  - Installing symfony/http-kernel (v2.7.15)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 70% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing symfony/finder (v2.7.15)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing symfony/dom-crawler (v2.7.15)
    Downloading: Connecting...ERROR 1054 (42S22) at line 1: Unknown column 'password' in 'where clause'
 Downloading: 0%  Downloading: 15% Downloading: 30% Downloading: 45% Downloading: 60% Downloading: 75% Downloading: 90% Downloading: 100%

  - Installing symfony/css-selector (v2.7.15)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing symfony/console (v2.7.15)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 70% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing swiftmailer/swiftmailer (v5.4.3)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 70% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing nikic/php-parser (v2.1.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 70% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing jakub-onderka/php-console-color (0.1)
    Downloading: Connecting... Downloading: 0%  Downloading: 50% Downloading: 100% Downloading: 100%

  - Installing jakub-onderka/php-console-highlighter (v0.3.2)
    Downloading: Connecting... Downloading: 0%  Downloading: 65% Downloading: 100% Downloading: 100%

  - Installing dnoegel/php-xdg-base-dir (0.1)
    Downloading: Connecting... Downloading: 0%  Downloading: 100% Downloading: 100%

  - Installing psy/psysh (v0.7.2)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 70% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing paragonie/random_compat (v1.4.1)
    Downloading: Connecting... Downloading: 0%  Downloading: 20% Downloading: 35% Downloading: 60% Downloading: 80% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing nesbot/carbon (1.21.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 30% Downloading: 50% Downloading: 55% Downloading: 75% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing mtdowling/cron-expression (v1.1.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 70% Downloading: 100% Downloading: 100%

  - Installing monolog/monolog (1.20.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 70% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing league/flysystem (1.0.24)
    Downloading: Connecting... Downloading: 0%  Downloading: 25% Downloading: 55% Downloading: 65% Downloading: 90% Downloading: 100% Downloading: 100%

  - Installing symfony/polyfill-util (v1.2.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 25% Downloading: 100% Downloading: 100%

  - Installing symfony/polyfill-php56 (v1.2.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 65% Downloading: 100% Downloading: 100%

  - Installing jeremeamia/superclosure (2.2.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 25% Downloading: 50% Downloading: 100%

  - Installing doctrine/inflector (v1.1.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 75% Downloading: 85% Downloading: 100%

  - Installing danielstjules/stringy (1.10.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 10% Downloading: 20% Downloading: 30% Downloading: 50% Downloading: 60% Downloading: 80% Downloading: 90% Downloading: 100%

  - Installing classpreloader/classpreloader (3.0.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 55% Downloading: 70% Downloading: 100% Downloading: 100%

  - Installing laravel/framework (v5.1.40)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 70% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing phenx/php-font-lib (0.2.2)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 70% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing dompdf/dompdf (v0.6.2)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 70% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing barryvdh/laravel-dompdf (v0.6.1)
    Downloading: Connecting... Downloading: 0%  Downloading: 40% Downloading: 80% Downloading: 100% Downloading: 100%

  - Installing cviebrock/image-validator (2.1.0)
    Downloading: Connecting... Downloading: 100% 

  - Installing doctrine/lexer (v1.0.1)
    Downloading: Connecting... Downloading: 0%  Downloading: 100% Downloading: 100%

  - Installing doctrine/annotations (v1.2.7)
    Downloading: Connecting... Downloading: 0%  Downloading: 10% Downloading: 20% Downloading: 30% Downloading: 40% Downloading: 100%

  - Installing doctrine/cache (v1.6.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 10% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 40% Downloading: 50% Downloading: 55% Downloading: 65% Downloading: 75% Downloading: 80% Downloading: 90% Downloading: 100%

  - Installing doctrine/collections (v1.3.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 20% Downloading: 35% Downloading: 60% Downloading: 80% Downloading: 90% Downloading: 100% Downloading: 100%

  - Installing doctrine/common (v2.6.1)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 70% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing doctrine/dbal (v2.5.4)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 70% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing guzzle/guzzle (v3.9.3)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 70% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing omnipay/common (v2.5.1)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing fruitcakestudio/omnipay-sisow (v2.0.1)
    Downloading: Connecting... Downloading: 0%  Downloading: 675% Downloading: 1350% Downloading: 2025% Downloading: 2700% Downloading: 100% 

  - Installing intervention/image (dev-master 6886d43)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 15% Downloading: 20% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 70% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing intervention/imagecache (2.3.3)
    Downloading: Connecting... Downloading: 0%  Downloading: 95% Downloading: 100%

  - Installing jenssegers/date (v3.2.2)
    Downloading: Connecting... Downloading: 0%  Downloading: 15% Downloading: 20% Downloading: 35% Downloading: 50% Downloading: 55% Downloading: 70% Downloading: 85% Downloading: 90% Downloading: 100%

  - Installing laravelcollective/html (v5.1.9)
    Downloading: Connecting... Downloading: 0%  Downloading: 55% Downloading: 85% Downloading: 100% Downloading: 100%

  - Installing nicolaslopezj/searchable (1.9.2)
    Downloading: Connecting... Downloading: 0%  Downloading: 100% Downloading: 100%

  - Installing patchwork/utf8 (v1.3.1)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 70% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing anahkiasen/underscore-php (2.0.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 10% Downloading: 35% Downloading: 45% Downloading: 70% Downloading: 80% Downloading: 90% Downloading: 100%

  - Installing spatie/string (2.1.0)
    Downloading: Connecting... Downloading: 100% 

  - Installing spatie/laravel-activitylog (1.2.1)
    Downloading: Connecting... Downloading: 100% 

  - Installing speelpenning/laravel-postcode-nl (v1.0.6)
    Downloading: Connecting... Downloading: 100% 

  - Installing fzaninotto/faker (v1.6.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 70% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing hamcrest/hamcrest-php (v1.2.2)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 65% Downloading: 70% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 90% Downloading: 95% Downloading: 100%

  - Installing mockery/mockery (0.9.5)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 70% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing webmozart/assert (1.0.2)
    Downloading: Connecting... Downloading: 0%  Downloading: 45% Downloading: 90% Downloading: 100%

  - Installing phpdocumentor/reflection-common (1.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 65% Downloading: 100% Downloading: 100%

  - Installing phpdocumentor/type-resolver (0.2)
    Downloading: Connecting... Downloading: 0%  Downloading: 20% Downloading: 35% Downloading: 55% Downloading: 70% Downloading: 90% Downloading: 100%

  - Installing phpdocumentor/reflection-docblock (3.1.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 15% Downloading: 20% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 70% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing symfony/yaml (v3.1.2)
    Downloading: Connecting... Downloading: 0%  Downloading: 15% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 45% Downloading: 65% Downloading: 75% Downloading: 80% Downloading: 90% Downloading: 100% Downloading: 100%

  - Installing sebastian/recursion-context (1.0.2)
    Downloading: Connecting... Downloading: 0%  Downloading: 35% Downloading: 70% Downloading: 100% Downloading: 100%

  - Installing sebastian/exporter (1.2.2)
    Downloading: Connecting... Downloading: 0%  Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing sebastian/diff (1.4.1)
    Downloading: Connecting... Downloading: 0%  Downloading: 15% Downloading: 30% Downloading: 45% Downloading: 100% Downloading: 100%

  - Installing sebastian/comparator (1.2.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 10% Downloading: 20% Downloading: 100%

  - Installing doctrine/instantiator (1.0.5)
    Downloading: Connecting... Downloading: 0%  Downloading: 15% Downloading: 30% Downloading: 45% Downloading: 50% Downloading: 65% Downloading: 80% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing phpspec/prophecy (v1.6.1)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 70% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing phpspec/php-diff (v1.0.2)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 100%

  - Installing phpspec/phpspec (2.5.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing phpunit/php-token-stream (1.4.8)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 100% Downloading: 100%

  - Installing sebastian/version (2.0.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 55% Downloading: 100%

  - Installing sebastian/resource-operations (1.0.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 65% Downloading: 100% Downloading: 100%

  - Installing sebastian/object-enumerator (1.0.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 65% Downloading: 100% Downloading: 100%

  - Installing sebastian/global-state (1.1.1)
    Downloading: Connecting... Downloading: 0%  Downloading: 40% Downloading: 70% Downloading: 100% Downloading: 100%

  - Installing sebastian/environment (1.3.7)
    Downloading: Connecting... Downloading: 0%  Downloading: 15% Downloading: 30% Downloading: 45% Downloading: 100% Downloading: 100%

  - Installing phpunit/php-text-template (1.2.1)
    Downloading: Connecting... Downloading: 0%  Downloading: 35% Downloading: 100% Downloading: 100%

  - Installing phpunit/phpunit-mock-objects (3.2.3)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 15% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 70% Downloading: 75% Downloading: 85% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing phpunit/php-timer (1.0.8)
    Downloading: Connecting... Downloading: 0%  Downloading: 100% Downloading: 100%

  - Installing phpunit/php-file-iterator (1.4.1)
    Downloading: Connecting... Downloading: 0%  Downloading: 20% Downloading: 40% Downloading: 60% Downloading: 80% Downloading: 100% Downloading: 100%

  - Installing sebastian/code-unit-reverse-lookup (1.0.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 90% Downloading: 100% Downloading: 100%

  - Installing phpunit/php-code-coverage (4.0.0)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 70% Downloading: 80% Downloading: 85% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

  - Installing myclabs/deep-copy (1.5.1)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 30% Downloading: 35% Downloading: 50% Downloading: 65% Downloading: 70% Downloading: 100% Downloading: 100%

  - Installing phpunit/phpunit (5.4.6)
    Downloading: Connecting... Downloading: 0%  Downloading: 5% Downloading: 10% Downloading: 15% Downloading: 20% Downloading: 25% Downloading: 30% Downloading: 35% Downloading: 40% Downloading: 45% Downloading: 50% Downloading: 55% Downloading: 60% Downloading: 65% Downloading: 75% Downloading: 80% Downloading: 85% Downloading: 90% Downloading: 95% Downloading: 100% Downloading: 100%

aws/aws-sdk-php suggests installing aws/aws-php-sns-message-validator (To validate incoming SNS notifications)
symfony/var-dumper suggests installing ext-symfony_debug ()
symfony/translation suggests installing symfony/config ()
symfony/routing suggests installing symfony/config (For using the all-in-one router or any loader)
symfony/routing suggests installing symfony/expression-language (For using expression matching)
symfony/event-dispatcher suggests installing symfony/dependency-injection ()
symfony/http-kernel suggests installing symfony/browser-kit ()
symfony/http-kernel suggests installing symfony/class-loader ()
symfony/http-kernel suggests installing symfony/config ()
symfony/http-kernel suggests installing symfony/dependency-injection ()
psy/psysh suggests installing ext-pdo-sqlite (The doc command requires SQLite to work.)
paragonie/random_compat suggests installing ext-libsodium (Provides a modern crypto API that can be used to generate random bytes.)
monolog/monolog suggests installing doctrine/couchdb (Allow sending log messages to a CouchDB server)
monolog/monolog suggests installing ext-amqp (Allow sending log messages to an AMQP server (1.0+ required))
monolog/monolog suggests installing ext-mongo (Allow sending log messages to a MongoDB server)
monolog/monolog suggests installing graylog2/gelf-php (Allow sending log messages to a GrayLog2 server)
monolog/monolog suggests installing mongodb/mongodb (Allow sending log messages to a MongoDB server via PHP Driver)
monolog/monolog suggests installing php-amqplib/php-amqplib (Allow sending log messages to an AMQP server using php-amqplib)
monolog/monolog suggests installing php-console/php-console (Allow sending log messages to Google Chrome)
monolog/monolog suggests installing rollbar/rollbar (Allow sending log messages to Rollbar)
monolog/monolog suggests installing ruflin/elastica (Allow sending log messages to an Elastic Search server)
monolog/monolog suggests installing sentry/sentry (Allow sending log messages to a Sentry server)
league/flysystem suggests installing league/flysystem-aws-s3-v2 (Allows you to use S3 storage with AWS SDK v2)
league/flysystem suggests installing league/flysystem-aws-s3-v3 (Allows you to use S3 storage with AWS SDK v3)
league/flysystem suggests installing league/flysystem-azure (Allows you to use Windows Azure Blob storage)
league/flysystem suggests installing league/flysystem-cached-adapter (Flysystem adapter decorator for metadata caching)
league/flysystem suggests installing league/flysystem-copy (Allows you to use Copy.com storage)
league/flysystem suggests installing league/flysystem-dropbox (Allows you to use Dropbox storage)
league/flysystem suggests installing league/flysystem-eventable-filesystem (Allows you to use EventableFilesystem)
league/flysystem suggests installing league/flysystem-rackspace (Allows you to use Rackspace Cloud Files)
league/flysystem suggests installing league/flysystem-sftp (Allows you to use SFTP server storage via phpseclib)
league/flysystem suggests installing league/flysystem-webdav (Allows you to use WebDAV storage)
league/flysystem suggests installing league/flysystem-ziparchive (Allows you to use ZipArchive adapter)
laravel/framework suggests installing iron-io/iron_mq (Required to use the iron queue driver (0000002:0000002.0).)
laravel/framework suggests installing league/flysystem-aws-s3-v3 (Required to use the Flysystem S3 driver (0000002:0000001.0).)
laravel/framework suggests installing league/flysystem-rackspace (Required to use the Flysystem Rackspace driver (0000002:0000001.0).)
laravel/framework suggests installing pda/pheanstalk (Required to use the beanstalk queue driver (0000003:0000003.0).)
laravel/framework suggests installing predis/predis (Required to use the redis cache and queue drivers (0000002:0000001.0).)
laravel/framework suggests installing pusher/pusher-php-server (Required to use the Pusher broadcast driver (0000002:0000002.0).)
laravel/framework suggests installing symfony/psr-http-message-bridge (Required to psr7 bridging features (0.2.*).)
patchwork/utf8 suggests installing ext-wfio (Use WFIO for UTF-8 filesystem access on Windows)
phpspec/phpspec suggests installing phpspec/nyan-formatters (0000002:0000001.0 – Adds Nyan formatters)
sebastian/global-state suggests installing ext-uopz (*)
phpunit/phpunit-mock-objects suggests installing ext-soap (*)
phpunit/phpunit suggests installing phpunit/php-invoker (0000002:0000001.1)
Package guzzle/guzzle is abandoned, you should avoid using it. Use guzzlehttp/guzzle instead.
Generating autoload files
> php artisan clear-compiled
> php artisan optimize
Generating optimized class loader
$ php ./composer.phar self-update
You are running composer with xdebug enabled. This has a major impact on runtime performance. See https://getcomposer.org/xdebug
Updating to version 1.1.3.
    Downloading: Connecting... Downloading: 100% 
Use composer self-update --rollback to return to version e8b1a5f35772e39ca21ab855a278bd84a0a534b2
$ php ./composer.phar update
You are running composer with xdebug enabled. This has a major impact on runtime performance. See https://getcomposer.org/xdebug
Running composer as root/super user is highly discouraged as packages, plugins and scripts cannot always be trusted
> php artisan clear-compiled
Loading composer repositories with package information
Updating dependencies (including require-dev)
Package guzzle/guzzle is abandoned, you should avoid using it. Use guzzlehttp/guzzle instead.
Writing lock file
Generating autoload files
> php artisan optimize
Generating optimized class loader
$ cd config
$ cp app.php.ci app.php
$ cd ../
$ cp .env.ci .env
$ php artisan down
Application is now in maintenance mode.
$ php artisan migrate --force
Migration table created successfully.
Migrated: 2014_10_12_100000_create_password_resets_table
Migrated: 2015_07_12_190805_add_rember_token
Migrated: 2015_08_25_120802_addFieldNewsTable
Migrated: 2015_12_23_171408_faq_inactive_active
Migrated: 2015_12_24_130522_tbl_evenement_rename
Migrated: 2015_12_24_135817_tbl_evenement_rollen_rename
Migrated: 2015_12_24_135826_tbl_evenement_type_rename
Migrated: 2015_12_24_135900_tbl_dagen_evenement_rename
Migrated: 2015_12_26_092904_tbl_persoonsgegevens_rename
Migrated: 2015_12_26_100306_tbl_inschrijving_vrijwilligers_rename
Migrated: 2015_12_27_010455_TblFaqCategorieRenameInactiveActive
Migrated: 2015_12_27_120001_tbl_certificaten_rename
Migrated: 2015_12_27_151807_tbl_staf_indeling_rename
Migrated: 2015_12_27_152326_tbl_indeling_vrijwilliger_rename
Migrated: 2015_12_27_172327_tbl_groeps_indeling_rename
Mi
TagsNo tags attached.
Operating System
PHP Version7.0.5-7.0.9

Activities

MGIMATTY

2016-07-11 21:14

reporter  

build log.rtf (139,313 bytes)

MGIMATTY

2016-07-11 21:14

reporter   ~0003642

As the build log was incomplete I attached a file containing the full log

derick

2016-07-12 10:17

administrator   ~0003643

I'm going to need a small reproducible case. I can't debug the whole of Laravel's build and testing infrastructure as well. But first of all, try using Xdebug from GitHub, as it has a fine amount of things fixed: https://github.com/xdebug/xdebug

MGIMATTY

2016-07-14 17:09

reporter   ~0003648

I updated to Xdebug from the git repo but to no avail. I'll get you the requested testcase this weekend as I've got some personal issues to deal with first. Thanks for the quick reply though!

derick

2016-08-10 15:23

administrator   ~0003674

Do you have the small test case please?

MGIMATTY

2016-10-18 13:34

reporter   ~0003728

Figured it out (sorry for the epic amount of time it took) the segmentation fault was caused by faulty RAM. Basically the server was running on just 4 GB instead of 32GB. This caused PHP to crash as there was no available memory to use for testing. Consider this case closed.

derick

2016-10-18 13:47

administrator   ~0003729

Okay :-) Thanks for letting me know.

Issue History

Date Modified Username Field Change
2016-07-11 21:11 MGIMATTY New Issue
2016-07-11 21:14 MGIMATTY File Added: build log.rtf
2016-07-11 21:14 MGIMATTY Note Added: 0003642
2016-07-12 10:17 derick Note Added: 0003643
2016-07-12 10:17 derick Assigned To => derick
2016-07-12 10:17 derick Status new => feedback
2016-07-14 17:09 MGIMATTY Note Added: 0003648
2016-07-14 17:09 MGIMATTY Status feedback => assigned
2016-07-31 12:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 12:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)
2016-08-10 15:23 derick Note Added: 0003674
2016-08-10 15:23 derick Status assigned => feedback
2016-10-18 13:34 MGIMATTY Note Added: 0003728
2016-10-18 13:34 MGIMATTY Status feedback => assigned
2016-10-18 13:47 derick Note Added: 0003729
2016-10-18 13:47 derick Status assigned => resolved
2016-10-18 13:47 derick Resolution open => unable to reproduce